> ## Documentation Index
> Fetch the complete documentation index at: https://docs.open.cx/llms.txt
> Use this file to discover all available pages before exploring further.

> Send emails to multiple contacts, possibly with a time delay. Use when managing email-channel provisioning — domain verification, unsubscribe handling, outbound email injection.

# Send emails



## OpenAPI

````yaml post /email
openapi: 3.1.0
info:
  title: OpenCX API
  description: >

    OpenCX is an AI-powered, all-in-one platform for customer support and
    outbound communications.


    Use this API to manage your OpenCX organization's AI agents, actions,
    conversations, contacts, and more.


    To get started, generate a new API key from the dashboard.


    ## Authentication

    All API endpoints require authentication using a Bearer token. You can
    generate an API key from your OpenCX dashboard.


    ## Rate Limiting

    API requests are rate limited to ensure fair usage. The current limits are:

    - 100 requests per minute for standard endpoints

    - 1000 requests per minute for streaming endpoints


    ## Error Handling

    The API uses standard HTTP status codes and returns detailed error messages
    in the response body.
  version: 1.0-beta
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://api.open.cx
    description: Production
security:
  - bearerAuth: []
paths:
  /email:
    post:
      summary: Send emails
      description: >

        Send emails to multiple contacts, possibly with a time delay.


        To send emails using the API, you must first verify the domain you want
        to

        send emails from. You can add and verify custom domains in the settings.
      operationId: sendEmail
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendEmailInput'
      responses:
        '200':
          description: Default Response
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDto'
components:
  schemas:
    SendEmailInput:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: '#/components/schemas/SendEmailInputInput'
      type: object
      properties:
        from_email:
          type: string
          format: email
          pattern: >-
            ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
        recipients:
          type: array
          items:
            $ref: '#/components/schemas/EmailRecipient'
        delay_in_minutes:
          type: number
          exclusiveMinimum: 0
        fallback_email_subject:
          type: string
        fallback_email_sender_name:
          type: string
        fallback_email_body:
          type: string
      required:
        - from_email
        - recipients
    ErrorDto:
      type: object
      properties:
        statusCode:
          type: integer
        message:
          type: string
        error:
          type: string
    EmailRecipient:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: '#/components/schemas/EmailRecipientInput'
      type: object
      properties:
        to_email:
          type: string
          format: email
          pattern: >-
            ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
        email_body:
          type: string
        email_subject:
          type: string
        email_sender_name:
          type: string
        email_is_transactional:
          type: boolean
      required:
        - to_email
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````